Bug 115722 - used before set
used before set
Product: Fedora
Classification: Fedora
Component: ORBit (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2004-02-15 07:15 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-28 08:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-15 07:15:38 EST
Description of problem:

I just tried to compile package ORBit-0.5.17-10.3 from Fedora.

The compiler said


orbit-event-server.c(674): remark #592: variable "retval" is used
before its value is set

The source code is

CORBA_any *
* servant,
                                    CORBA_Environment * ev)
   CORBA_any *retval;

   return retval;

retval contains rubbish, which is returned to the caller.
Suggest initialise retval before first use.


orbit-event-server.c(684): remark #592: variable "retval" is used
before its value is set
orbit-event-server.c(743): remark #592: variable "retval" is used
before its value is set
orbit-event-server.c(752): remark #592: variable "retval" is used
before its value is set
orbit-event-server.c(761): remark #592: variable "retval" is used
before its value is set


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Mark McLoughlin 2004-07-28 08:31:14 EDT
Sorry to do this again - but its the thing same as with bug #111018
and bug #113376. ORBit is another package retained for compatibility
reasons. Its event server was never used in practice and is removed in
ORBit2. Thanks
Comment 2 David Binderman 2005-04-28 13:48:37 EDT
>Sorry to do this again

No problem, the bug still exists in 0.5.17-15, at least five versions
newer than the version I reported the bug in.

I don't really understand how supposedly dead packages keep getting their
version numbers bumped.

This bug still exists in Fedora Core 4, Test 1, dated about 27 April 2005 
or so.

Note You need to log in before you can comment on or make changes to this bug.